org.keycloak.authorization.common

## Class KeycloakEvaluationContext

- java.lang.Object
- - org.keycloak.authorization.common.KeycloakEvaluationContext

- All Implemented Interfaces:
    EvaluationContext

      public class KeycloakEvaluationContext
      extends Object
      implements EvaluationContext

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakEvaluationContext(KeycloakIdentity identity, KeycloakSession keycloakSession)`
    `KeycloakEvaluationContext(KeycloakSession keycloakSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attributes` | `getAttributes()` Returns all attributes within the current execution and runtime environment.
    `Identity` | `getIdentity()` Returns the `Identity` that represents an entity (person or non-person) to which the permissions must be granted, or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakEvaluationContext

          public KeycloakEvaluationContext(KeycloakSession keycloakSession)

    - #### KeycloakEvaluationContext

          public KeycloakEvaluationContext(KeycloakIdentity identity,
                                           KeycloakSession keycloakSession)

  - ### Method Detail

    - #### getIdentity

          public Identity getIdentity()

      Description copied from interface: `EvaluationContext`
      Returns the `Identity` that represents an entity (person or non-person) to which the permissions must be granted, or not.
      Specified by:
        `getIdentity` in interface `EvaluationContext`
      Returns:
        the identity to which the permissions must be granted, or not

    - #### getAttributes

          public Attributes getAttributes()

      Description copied from interface: `EvaluationContext`
      Returns all attributes within the current execution and runtime environment.
      Specified by:
        `getAttributes` in interface `EvaluationContext`
      Returns:
        the attributes within the current execution and runtime environment

Copyright © 2016 JBoss by Red Hat. All rights reserved.